summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2016-03-07 00:31:34 +0100
committerPatrick Lauer <patrick@gentoo.org>2016-03-07 00:31:34 +0100
commit1f563a6ce1f1fe3df73819e66b074d4224667138 (patch)
tree9b7aa1f7b2604fe1d88cd110f48ec7e7ba841be9
parentsci-mathematics/calc: Add subslot dependency (diff)
downloadgentoo-1f563a6ce1f1fe3df73819e66b074d4224667138.tar.gz
gentoo-1f563a6ce1f1fe3df73819e66b074d4224667138.tar.bz2
gentoo-1f563a6ce1f1fe3df73819e66b074d4224667138.zip
app-shells/mksh: Bump
Package-Manager: portage-2.2.27
-rw-r--r--app-shells/mksh/Manifest1
-rw-r--r--app-shells/mksh/mksh-52c.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/app-shells/mksh/Manifest b/app-shells/mksh/Manifest
index ea863478ddf..84d60a92df7 100644
--- a/app-shells/mksh/Manifest
+++ b/app-shells/mksh/Manifest
@@ -1,2 +1,3 @@
DIST mksh-R52.tgz 383814 SHA256 45c2f5cdd2c63a6a831ffae65cea0afd021eabb983537aa21ff893ee38b3768f SHA512 83b478baa401dc6116c363043d9d6629028bbcdf19448db939738c5b98f8e4f7da92932296c2ee813b317151d31a1b6cd55d27f062f79e587e22991b018a0285 WHIRLPOOL 524524b950d5f7f21a2660235f955c45e645bcebf1e6120e71c183a0d50da5974840d7f70a18ab6d0766ad5345f62cd657f2fbcc1cd2d33976943f3bb28c243a
DIST mksh-R52b.tgz 385085 SHA256 93231332a1df0a9c8d4a0d54a519d8b485989a52f7400f0e6451366a0c74b81f SHA512 d204f0d0e221a8592dc0efdb31b909ce522792708937ab1f3ec0a4b1098f2d5171c06cda029a9f7e63eb087a1acf53210f4701cee5564868c15c6294e6fe322f WHIRLPOOL 687eba233332ad7d4de53a57e53a5f851558190ea69daca21ea820a85fbeca00da8fa92e9d8a4dd833498d9adb80482c3394913a61251e9fe2a3cc9e962e74e4
+DIST mksh-R52c.tgz 386254 SHA256 c6341acea725103f782c14e994d6e12dabaee69e60fe1bc78603a41258d43ba6 SHA512 f2434f2e165da290cc3f5d78846fb4774115a6e35ef3299d0343b1797b3773921d614396b0da78f8e9a451d6029df9abff503575c5cdcb232e18df7731d18da0 WHIRLPOOL 86ed90260285180fc097296ea5ba90015222fc2733570dfd9a056a867dba9661e2083e863632bca3f771699dec60ca65b1e1dc8821b492269bcc095b8bad2f9e
diff --git a/app-shells/mksh/mksh-52c.ebuild b/app-shells/mksh/mksh-52c.ebuild
new file mode 100644
index 00000000000..e2df980dbb4
--- /dev/null
+++ b/app-shells/mksh/mksh-52c.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="MirBSD KSH Shell"
+HOMEPAGE="http://mirbsd.de/mksh"
+SRC_URI="http://www.mirbsd.org/MirOS/dist/mir/mksh/${PN}-R${PV}.tgz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static"
+DEPEND="static? ( dev-libs/klibc )"
+RDEPEND=""
+S="${WORKDIR}/${PN}"
+
+src_compile() {
+ tc-export CC
+ # we want to build static with klibc
+ if use static ; then
+ unset CC
+ export CC="/usr/bin/klcc"
+ export LDSTATIC="-static"
+ fi
+ export CPPFLAGS="${CPPFLAGS} -DMKSH_DEFAULT_PROFILEDIR=\\\"${EPREFIX}/etc\\\""
+ # we can't assume lto existing/enabled, so we add a fallback
+ sh Build.sh -r -c lto || sh Build.sh -r || die
+}
+
+src_install() {
+ exeinto /bin
+ doexe mksh
+ doman mksh.1
+ dodoc dot.mkshrc
+}
+
+src_test() {
+ ./test.sh || die
+}
+
+pkg_postinst() {
+ ebegin "Updating /etc/shells"
+ ( grep -v "^/bin/mksh$" "${ROOT}"etc/shells; echo "/bin/mksh" ) > "${T}"/shells
+ mv -f "${T}"/shells "${ROOT}"etc/shells
+ eend $?
+}